import { ServiceClient, ServiceClientParams } from './ServiceClient';
import { JSONValue } from '../../json';
import { JSONRPCParams } from "./JSONRPC20";
export interface DynamicServiceClientParams extends ServiceClientParams {
    version?: string;
}
export declare abstract class DynamicServiceClient extends ServiceClient {
    version: string | null;
    abstract module: string;
    serviceDiscoveryURL: string;
    serviceDiscoveryModule: string;
    protected constructor(params: DynamicServiceClientParams);
    private moduleId;
    private getCached;
    private lookupModule;
    callFunc(funcName: string, params: JSONRPCParams): Promise<JSONValue>;
}
